ScriptEngineTagHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.ScriptEngineTagHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache
Class ScriptEngineTagHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.modules.apache.ScriptEngineTagHandler

Direct Known Subclasses:
  BsfEngineTagHandler, VelocityEngineTagHandler

public abstract class ScriptEngineTagHandler
extends AbstractProgramElementTagsHandler

created
  July 17, 2003

Field Summary
`protected String` | `XDTSectionEnd`
`protected String` | `XDTSectionStart`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ScriptEngineTagHandler()`

Method Summary
`protected void` | `escapeResults(TemplateEngine engine, StringBuffer results)` Escape and evaluate the sections with XDOCLET template engine.
`protected void` | `fillVariables(xdoclet.modules.apache.SubTemplateEngine templateEngine)` Fill the variables passed to the engines
`protected void` | `generate(xdoclet.modules.apache.SubTemplateEngine subengine, String template, Properties attributes)`
`protected String` | `getSubTemplateVariable(xdoclet.modules.apache.SubTemplateEngine subengine, Properties attributes)` Get a subtemplate variable

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getClassNameFor, getFullClassNameFor, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XDTSectionStart

    protected final String XDTSectionStart

See Also:
  Constant Field Values

### XDTSectionEnd

    protected final String XDTSectionEnd

See Also:
  Constant Field Values

Constructor Detail

### ScriptEngineTagHandler

    public ScriptEngineTagHandler()

Method Detail

### getSubTemplateVariable

    protected final String getSubTemplateVariable(xdoclet.modules.apache.SubTemplateEngine subengine,
                                                  Properties attributes)
                                           throws XDocletException

  Get a subtemplate variable

  Parameters:
    `subengine` - The subtemplate engine
    `attributes` - The attributes from XDOCLET tag
  Returns:
    The value
  Throws:
    `XDocletException`

### generate

    protected final void generate(xdoclet.modules.apache.SubTemplateEngine subengine,
                                  String template,
                                  Properties attributes)
                           throws TemplateException

  Parameters:
    `subengine` - The SubTemplateEngine used to generate
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `TemplateException`
    `TemplateException`

### fillVariables

    protected final void fillVariables(xdoclet.modules.apache.SubTemplateEngine templateEngine)
                                throws XDocletException

  Fill the variables passed to the engines

  Parameters:
    `templateEngine` -
  Throws:
    `XDocletException`

### escapeResults

    protected final void escapeResults(TemplateEngine engine,
                                       StringBuffer results)
                                throws TemplateException

  Escape and evaluate the sections with XDOCLET template engine. This allows embedding XDOCLET sections into Velocity sections

  Parameters:
    `engine` - The XDOCLET template engine
    `results` - The results
  Throws:
    `TemplateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD